addonName, ChatAssistant = ...

function ChatAssistant.showHelp()
  print("ChatAssistant Usage:")
  print("  Show Help: /CA help")
  print("  Enable/Disable: /CA or /ca or Right Mouse Click on MiniMapIcon")
  print("  Enable/Disable MiniMapIcon: /CA mmi")
  print("  Update Defaults to current release: /CA reset") 
  print("  Configure: /CA config")
end

function ChatAssistant.showInfo()
  print("ChatAssistant:")
end

function ChatAssistant.commands(msg, editbox)
  local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)")
   
  if cmd == "help" then
    ChatAssistant.showHelp()

  elseif cmd == "config" then
    -- Note: Call this function twice (in a row), 
    -- there is a bug in Blizzard's code which makes the first call (after login or /reload) fail. 
    -- It opens interface options, but not on the addon's interface options, just the default interface options. 
    InterfaceOptionsFrame_OpenToCategory(addonName);
    InterfaceOptionsFrame_OpenToCategory(addonName);  

--  elseif cmd == "disable" then
--    print(addonName .. " Disabled")
  --  ChatAssistantSetting.enabled = false
    
  elseif cmd == "enable" then
    print(addonName .. " Enabled")
    ChatAssistantSetting.enabled = true

  elseif cmd == "reset" then
    local current = GetAddOnMetadata(addonName, "Version")
    print("ChatAssistant Updating Defaults to Release: "..current)
    ChatAssistantSettings = ChatAssistant.defaults

  elseif (cmd == "MMI" or cmd == "mmi") then
    if ChatAssistantSettings.mmicon then
       ChatAssistantSettings.mmicon = false
       print("ChatAssistant MinimapIcon Disabled. Reload UI with commad /reload.")
      else 
       ChatAssistantSettings.mmicon = true
       print("ChatAssistant MinimapIcon Enabled. Reload UI with commad /reload.")
    end 
    
    
      
  else
    ChatAssistant.toggle()
  end
end

SLASH_ChatAssistant1 = '/CA'
SlashCmdList["ChatAssistant"] = ChatAssistant.commands